REST API v1 / v2
API Documentation
Connect your website, bot, or panel directly to our high-speed fulfillment network using our standard reseller API.
General Information
HTTP Method:
POST (application/x-www-form-urlencoded or multipart/form-data)
API Endpoint URL:
https://www.nifruitjaora.shop/public//api/v1
Response Format:
JSON
Authentication:
Include
key parameter with your API key
1. Service List
action: servicesReturns a full list of all available active services, categories, rates, and limits.
Request Parameters:
key: YOUR_API_KEY
action: services
action: services
Sample JSON Response:
[
{
"service": 1,
"name": "Instagram Real Followers [Instant HQ]",
"type": "Default",
"category": "Instagram Followers",
"rate": "120.00000000",
"min": 100,
"max": 50000,
"dripfeed": true,
"refill": true,
"cancel": true
}
]
2. Place New Order
action: addDebits your wallet atomically and dispatches the order to fulfillment.
Request Parameters:
key: YOUR_API_KEY
action: add
service: Service ID (e.g. 1)
link: Target URL / username (e.g. https://instagram.com/p/xxx)
quantity: Quantity needed (e.g. 1000)
Sample JSON Response:
{
"order": 10429
}
3. Order Status
action: statusSingle Order:
key: YOUR_API_KEY
action: status
order: 10429
action: status
order: 10429
{
"charge": "120.00",
"start_count": "1420",
"status": "COMPLETED",
"remains": "0",
"currency": "INR"
}
4. User Balance
action: balance
key: YOUR_API_KEY
action: balance
action: balance
{
"balance": "4850.50",
"currency": "INR"
}